/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.stocks.service;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.stocks.dto.StockInfoQuery;
import com.tofly.stocks.entity.StockInfo;
import com.tofly.stocks.vo.*;
/**
 * 物资库存信息表
 *
 * @author admin
 * @date Fri Nov 25 00:00:00 CST 2022
 */
public interface StockInfoService extends IService<StockInfo> {

    Page<StockInfoVo> getDataByPage(Page page, StockInfoQuery stockInfoQuery);

    Page<StockInstockVo> getInStoreDataPage(Page page, Long stockInfoId);

    Page<StockOutstockVo> getOutStoreDataPage(Page page, Long stockInfoId);

    Page<StockDrugUseVo> getDrugUseDataPage(Page page, Long stockInfoId);

    Page<StockTransVo> getTransDataPage(Page page, Long stockInfoId);

    Page<StockCheckVo> getCheckDataPage(Page page, Long stockInfoId);

    Page<StockHandleVo> getHandleDataPage(Page page, Long stockInfoId);
}
